Available in VPC
Send Cloud DB for MySQL instance backup files to Object Storage.
To send backup files to Object Storage, Object Storage buckets for storing and searching backup files must be created in advance. For more information, see the Object Storage Guide.
Request
The following describes the request format for the endpoint. The request format is as follows:
| Method | URI |
|---|---|
| GET | POST | /vmysql/v2/exportBackupToObjectStorage |
Request headers
For headers common to all Cloud DB for MySQL (VPC) APIs, see Cloud DB for MySQL (VPC) request headers.
Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
regionCode |
String | Optional | Region code
|
fileName |
String | Required | Backup fie name
|
bucketName |
String | Required | Name of the Object Storage bucket the backup file will be sent to
|
folderPath |
String | Optional | Folder path where backup files will be sent |
cloudMysqlInstanceNo |
String | Required | Instance number of Cloud DB for MySQL
|
responseFormatType |
String | Optional | Format of the response result
|
Request example
The following is a sample request.
curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmysql/v2/exportBackupToObjectStorage
?regionCode=KR
&fileName=20210528
&bucketName=mysql-backup
&folderPath=cloud-db-for-mysql/
&cloudMysqlInstanceNo=****890' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
Response
The following describes the response format.
Response status codes
For information about the HTTP status codes common to all Cloud DB for MySQL (VPC) APIs, see Cloud DB for MySQL (VPC) response status codes.
Response example
The following is a sample response.
- If
responseFormatType=json
{
"exportBackupToObjectStorageResponse": {
"requestId": "f601a8b4-****-****-****-1451ecb1fd6b",
"returnCode": "0",
"returnMessage": "success"
}
}
- If
responseFormatType=xml(default)
<?xml version="1.0" encoding="UTF-8"?>
<exportBackupToObjectStorageResponse>
<requestId>f601a8b4-****-****-****-1451ecb1fd6b</requestId>
<returnCode>0</returnCode>
<returnMessage>success</returnMessage>
</exportBackupToObjectStorageResponse>